Home

# Class goog.tweak.Registry

Singleton that manages all tweaks. This should be instantiated only from goog.tweak.getRegistry().

Instance Method Summary
| `addOnRegisterListener(!Function func)` Adds a callback to be called whenever a new tweak is added.
| `extractEntries(boolean excludeChildEntries, boolean excludeNonSettings) ⇒ !Array` Creates and returns an array of all BaseSetting objects with an associted query parameter.
| `getBooleanSetting(string id) ⇒ !goog.tweak.BooleanSetting` Returns the boolean setting with the given ID. Asserts if the ID does not refer to a registered entry or if it refers to one of the wrong type.
| `getEntry(string id) ⇒ !goog.tweak.BaseEntry` Returns the BaseEntry with the given ID. Asserts if it does not exists.
| `getNumericSetting(string id) ⇒ !goog.tweak.NumericSetting` Returns the numeric setting with the given ID. Asserts if the ID does not refer to a registered entry or if it refers to one of the wrong type.
| `getStringSetting(string id) ⇒ !goog.tweak.StringSetting` Returns the string setting with the given ID. Asserts if the ID does not refer to a registered entry or if it refers to one of the wrong type.
| `hasEntry(string id) ⇒ boolean`
| `makeUrlQuery(string= opt_existingSearchStr) ⇒ string` Returns the query part of the URL that will apply all set tweaks.
| `overrideDefaultValue(string id, (boolean|number|string) value)` Sets a default value to use for the given tweak instead of the one passed to the register* function. This function must be called before the tweak is registered.
| `register(?goog.tweak.BaseEntry entry)` Registers the given tweak setting/action.

Static Method Summary
| `parseQueryParams(string queryParams) ⇒ !Object` Simple parser for query params. Makes all keys lower-case.